@echo off
if "%5"=="" goto Usage
%2
cd "%3"
goto %4
:Usage
echo"
echo"usage: other.bat <toolsdir> <emudrv> <emudir> <emu+filetype> <c64file>"ÿ
echo" 
pause
goto End

rem -------------------------------------------------------------------

:ALExCxxBin
:ALExCxxPoo
"%1\BINtoP00.exe" %5 Other.p00
c64.exe -k "load\"other\",8,1~run~"
goto End

:ALExCxxTape
deltree /y Tape
md Tape
cd Tape
copy %5 .
"%1\T64toP00.exe"
del *.t64
set N=
for %%i in (*.p00) do if "%N%"=="" set N=%%i
"%1\BINtoP00.exe" %N% Other.p00
set N=
..\c64.exe -i ..\romimage.c64 -l ..\lib.c64 -k "load\"other\",8,1~run~"
goto End

:ALExCxxDisk
if exist 1541ROMs.c64 goto ROMOK
echo"
echo"The update of ALE C64 1.12h doesn't come with the 1541 ROM image
echo"Please copy C:\PC64Win\Original.154 to C:\ALEC64\1541ROMs.c64
echo"
pause
:ROMOK
c64.exe -d %5 -k "load\"$\",8~list~"
goto End

rem -------------------------------------------------------------------

:CxxSBin
:CxxSPoo
if exist Other.t64 del Other.t64
maketape Other %5
rem C64S.exe -tape Other.t64 -autotype LOAD$0DRUN$0D
rem The -tape parameter in C64S v2.5A is buggy!
C64S.exe -autotype $8D-$20PRESS$20F9$8D-$20SELECT$20OTHER.T64$8D-$20PRESS$20L$20TO$20LOAD$8D
goto End

:CxxSTape
rem C64S.exe -tape %5 -autotype LOAD$0DRUN$0D
rem The -tape parameter in C64S v2.5A is buggy!
copy %5 Other.t64
C64S.exe -autotype $8D-$20PRESS$20F9$8D-$20SELECT$20OTHER.T64$8D-$20PRESS$20L$20TO$20LOAD$8D
goto End

:CxxSDisk
C64S.exe -disk %5 -autotype LOAD$22$24$22,8$0DLIST$0D
goto End

rem -------------------------------------------------------------------

:CCSxxBin
echo"
echo"===>  Enter 'RUN' to start the program  <==="ÿ
echo"
echo"
"%1\BINtoP00.exe" %5 Other.p00
if errorlevel 1 pause
ccsdpmi.exe ccs64.exe Other.p00
goto End

:CCSxxPoo
:CCSxxTape
:CCSxxDisk
echo"
echo"===>  Enter 'RUN' to start the program  <==="ÿ
echo"
echo"
ccsdpmi.exe ccs64.exe %5
goto End


rem -------------------------------------------------------------------

:PCxxDosBin
"%1\BINtoP00.exe" %5 Other.p00
pc64.exe .\Other.p00
goto End

:PCxxDosPoo
pc64.exe %5
goto End

:PCxxDosTape
deltree /y Tape
md Tape
cd Tape
copy %5 .
"%1\T64toP00.exe"
del *.t64
set N=
for %%i in (*.p00) do if "%N%"=="" set N=%%i
..\pc64.exe .\%N%
set N=
goto End

:PCxxDosDisk
pc64.exe %5 -autotype load"$24",8$0Dlist$0D
goto End

rem -------------------------------------------------------------------

:End
